package com.unis.base.server.example;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TyShougouqiyebeianExample {
    /**
     * ty_shougouqiyebeian
     */
    protected String orderByClause;

    /**
     * ty_shougouqiyebeian
     */
    protected boolean distinct;

    /**
     * ty_shougouqiyebeian
     */
    protected List<Criteria> oredCriteria;

    public TyShougouqiyebeianExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * ty_shougouqiyebeian 2023-11-27
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andSzxzqyIsNull() {
            addCriterion("szxzqy is null");
            return (Criteria) this;
        }

        public Criteria andSzxzqyIsNotNull() {
            addCriterion("szxzqy is not null");
            return (Criteria) this;
        }

        public Criteria andSzxzqyEqualTo(String value) {
            addCriterion("szxzqy =", value, "szxzqy");
            return (Criteria) this;
        }

        public Criteria andSzxzqyNotEqualTo(String value) {
            addCriterion("szxzqy <>", value, "szxzqy");
            return (Criteria) this;
        }

        public Criteria andSzxzqyGreaterThan(String value) {
            addCriterion("szxzqy >", value, "szxzqy");
            return (Criteria) this;
        }

        public Criteria andSzxzqyGreaterThanOrEqualTo(String value) {
            addCriterion("szxzqy >=", value, "szxzqy");
            return (Criteria) this;
        }

        public Criteria andSzxzqyLessThan(String value) {
            addCriterion("szxzqy <", value, "szxzqy");
            return (Criteria) this;
        }

        public Criteria andSzxzqyLessThanOrEqualTo(String value) {
            addCriterion("szxzqy <=", value, "szxzqy");
            return (Criteria) this;
        }

        public Criteria andSzxzqyLike(String value) {
            addCriterion("szxzqy like", value, "szxzqy");
            return (Criteria) this;
        }

        public Criteria andSzxzqyNotLike(String value) {
            addCriterion("szxzqy not like", value, "szxzqy");
            return (Criteria) this;
        }

        public Criteria andSzxzqyIn(List<String> values) {
            addCriterion("szxzqy in", values, "szxzqy");
            return (Criteria) this;
        }

        public Criteria andSzxzqyNotIn(List<String> values) {
            addCriterion("szxzqy not in", values, "szxzqy");
            return (Criteria) this;
        }

        public Criteria andSzxzqyBetween(String value1, String value2) {
            addCriterion("szxzqy between", value1, value2, "szxzqy");
            return (Criteria) this;
        }

        public Criteria andSzxzqyNotBetween(String value1, String value2) {
            addCriterion("szxzqy not between", value1, value2, "szxzqy");
            return (Criteria) this;
        }

        public Criteria andQymcIsNull() {
            addCriterion("qymc is null");
            return (Criteria) this;
        }

        public Criteria andQymcIsNotNull() {
            addCriterion("qymc is not null");
            return (Criteria) this;
        }

        public Criteria andQymcEqualTo(String value) {
            addCriterion("qymc =", value, "qymc");
            return (Criteria) this;
        }

        public Criteria andQymcNotEqualTo(String value) {
            addCriterion("qymc <>", value, "qymc");
            return (Criteria) this;
        }

        public Criteria andQymcGreaterThan(String value) {
            addCriterion("qymc >", value, "qymc");
            return (Criteria) this;
        }

        public Criteria andQymcGreaterThanOrEqualTo(String value) {
            addCriterion("qymc >=", value, "qymc");
            return (Criteria) this;
        }

        public Criteria andQymcLessThan(String value) {
            addCriterion("qymc <", value, "qymc");
            return (Criteria) this;
        }

        public Criteria andQymcLessThanOrEqualTo(String value) {
            addCriterion("qymc <=", value, "qymc");
            return (Criteria) this;
        }

        public Criteria andQymcLike(String value) {
            addCriterion("qymc like", value, "qymc");
            return (Criteria) this;
        }

        public Criteria andQymcNotLike(String value) {
            addCriterion("qymc not like", value, "qymc");
            return (Criteria) this;
        }

        public Criteria andQymcIn(List<String> values) {
            addCriterion("qymc in", values, "qymc");
            return (Criteria) this;
        }

        public Criteria andQymcNotIn(List<String> values) {
            addCriterion("qymc not in", values, "qymc");
            return (Criteria) this;
        }

        public Criteria andQymcBetween(String value1, String value2) {
            addCriterion("qymc between", value1, value2, "qymc");
            return (Criteria) this;
        }

        public Criteria andQymcNotBetween(String value1, String value2) {
            addCriterion("qymc not between", value1, value2, "qymc");
            return (Criteria) this;
        }

        public Criteria andTyshxydmIsNull() {
            addCriterion("tyshxydm is null");
            return (Criteria) this;
        }

        public Criteria andTyshxydmIsNotNull() {
            addCriterion("tyshxydm is not null");
            return (Criteria) this;
        }

        public Criteria andTyshxydmEqualTo(String value) {
            addCriterion("tyshxydm =", value, "tyshxydm");
            return (Criteria) this;
        }

        public Criteria andTyshxydmNotEqualTo(String value) {
            addCriterion("tyshxydm <>", value, "tyshxydm");
            return (Criteria) this;
        }

        public Criteria andTyshxydmGreaterThan(String value) {
            addCriterion("tyshxydm >", value, "tyshxydm");
            return (Criteria) this;
        }

        public Criteria andTyshxydmGreaterThanOrEqualTo(String value) {
            addCriterion("tyshxydm >=", value, "tyshxydm");
            return (Criteria) this;
        }

        public Criteria andTyshxydmLessThan(String value) {
            addCriterion("tyshxydm <", value, "tyshxydm");
            return (Criteria) this;
        }

        public Criteria andTyshxydmLessThanOrEqualTo(String value) {
            addCriterion("tyshxydm <=", value, "tyshxydm");
            return (Criteria) this;
        }

        public Criteria andTyshxydmLike(String value) {
            addCriterion("tyshxydm like", value, "tyshxydm");
            return (Criteria) this;
        }

        public Criteria andTyshxydmNotLike(String value) {
            addCriterion("tyshxydm not like", value, "tyshxydm");
            return (Criteria) this;
        }

        public Criteria andTyshxydmIn(List<String> values) {
            addCriterion("tyshxydm in", values, "tyshxydm");
            return (Criteria) this;
        }

        public Criteria andTyshxydmNotIn(List<String> values) {
            addCriterion("tyshxydm not in", values, "tyshxydm");
            return (Criteria) this;
        }

        public Criteria andTyshxydmBetween(String value1, String value2) {
            addCriterion("tyshxydm between", value1, value2, "tyshxydm");
            return (Criteria) this;
        }

        public Criteria andTyshxydmNotBetween(String value1, String value2) {
            addCriterion("tyshxydm not between", value1, value2, "tyshxydm");
            return (Criteria) this;
        }

        public Criteria andDzIsNull() {
            addCriterion("dz is null");
            return (Criteria) this;
        }

        public Criteria andDzIsNotNull() {
            addCriterion("dz is not null");
            return (Criteria) this;
        }

        public Criteria andDzEqualTo(String value) {
            addCriterion("dz =", value, "dz");
            return (Criteria) this;
        }

        public Criteria andDzNotEqualTo(String value) {
            addCriterion("dz <>", value, "dz");
            return (Criteria) this;
        }

        public Criteria andDzGreaterThan(String value) {
            addCriterion("dz >", value, "dz");
            return (Criteria) this;
        }

        public Criteria andDzGreaterThanOrEqualTo(String value) {
            addCriterion("dz >=", value, "dz");
            return (Criteria) this;
        }

        public Criteria andDzLessThan(String value) {
            addCriterion("dz <", value, "dz");
            return (Criteria) this;
        }

        public Criteria andDzLessThanOrEqualTo(String value) {
            addCriterion("dz <=", value, "dz");
            return (Criteria) this;
        }

        public Criteria andDzLike(String value) {
            addCriterion("dz like", value, "dz");
            return (Criteria) this;
        }

        public Criteria andDzNotLike(String value) {
            addCriterion("dz not like", value, "dz");
            return (Criteria) this;
        }

        public Criteria andDzIn(List<String> values) {
            addCriterion("dz in", values, "dz");
            return (Criteria) this;
        }

        public Criteria andDzNotIn(List<String> values) {
            addCriterion("dz not in", values, "dz");
            return (Criteria) this;
        }

        public Criteria andDzBetween(String value1, String value2) {
            addCriterion("dz between", value1, value2, "dz");
            return (Criteria) this;
        }

        public Criteria andDzNotBetween(String value1, String value2) {
            addCriterion("dz not between", value1, value2, "dz");
            return (Criteria) this;
        }

        public Criteria andLxrIsNull() {
            addCriterion("lxr is null");
            return (Criteria) this;
        }

        public Criteria andLxrIsNotNull() {
            addCriterion("lxr is not null");
            return (Criteria) this;
        }

        public Criteria andLxrEqualTo(String value) {
            addCriterion("lxr =", value, "lxr");
            return (Criteria) this;
        }

        public Criteria andLxrNotEqualTo(String value) {
            addCriterion("lxr <>", value, "lxr");
            return (Criteria) this;
        }

        public Criteria andLxrGreaterThan(String value) {
            addCriterion("lxr >", value, "lxr");
            return (Criteria) this;
        }

        public Criteria andLxrGreaterThanOrEqualTo(String value) {
            addCriterion("lxr >=", value, "lxr");
            return (Criteria) this;
        }

        public Criteria andLxrLessThan(String value) {
            addCriterion("lxr <", value, "lxr");
            return (Criteria) this;
        }

        public Criteria andLxrLessThanOrEqualTo(String value) {
            addCriterion("lxr <=", value, "lxr");
            return (Criteria) this;
        }

        public Criteria andLxrLike(String value) {
            addCriterion("lxr like", value, "lxr");
            return (Criteria) this;
        }

        public Criteria andLxrNotLike(String value) {
            addCriterion("lxr not like", value, "lxr");
            return (Criteria) this;
        }

        public Criteria andLxrIn(List<String> values) {
            addCriterion("lxr in", values, "lxr");
            return (Criteria) this;
        }

        public Criteria andLxrNotIn(List<String> values) {
            addCriterion("lxr not in", values, "lxr");
            return (Criteria) this;
        }

        public Criteria andLxrBetween(String value1, String value2) {
            addCriterion("lxr between", value1, value2, "lxr");
            return (Criteria) this;
        }

        public Criteria andLxrNotBetween(String value1, String value2) {
            addCriterion("lxr not between", value1, value2, "lxr");
            return (Criteria) this;
        }

        public Criteria andDhIsNull() {
            addCriterion("dh is null");
            return (Criteria) this;
        }

        public Criteria andDhIsNotNull() {
            addCriterion("dh is not null");
            return (Criteria) this;
        }

        public Criteria andDhEqualTo(String value) {
            addCriterion("dh =", value, "dh");
            return (Criteria) this;
        }

        public Criteria andDhNotEqualTo(String value) {
            addCriterion("dh <>", value, "dh");
            return (Criteria) this;
        }

        public Criteria andDhGreaterThan(String value) {
            addCriterion("dh >", value, "dh");
            return (Criteria) this;
        }

        public Criteria andDhGreaterThanOrEqualTo(String value) {
            addCriterion("dh >=", value, "dh");
            return (Criteria) this;
        }

        public Criteria andDhLessThan(String value) {
            addCriterion("dh <", value, "dh");
            return (Criteria) this;
        }

        public Criteria andDhLessThanOrEqualTo(String value) {
            addCriterion("dh <=", value, "dh");
            return (Criteria) this;
        }

        public Criteria andDhLike(String value) {
            addCriterion("dh like", value, "dh");
            return (Criteria) this;
        }

        public Criteria andDhNotLike(String value) {
            addCriterion("dh not like", value, "dh");
            return (Criteria) this;
        }

        public Criteria andDhIn(List<String> values) {
            addCriterion("dh in", values, "dh");
            return (Criteria) this;
        }

        public Criteria andDhNotIn(List<String> values) {
            addCriterion("dh not in", values, "dh");
            return (Criteria) this;
        }

        public Criteria andDhBetween(String value1, String value2) {
            addCriterion("dh between", value1, value2, "dh");
            return (Criteria) this;
        }

        public Criteria andDhNotBetween(String value1, String value2) {
            addCriterion("dh not between", value1, value2, "dh");
            return (Criteria) this;
        }

        public Criteria andBajgIsNull() {
            addCriterion("bajg is null");
            return (Criteria) this;
        }

        public Criteria andBajgIsNotNull() {
            addCriterion("bajg is not null");
            return (Criteria) this;
        }

        public Criteria andBajgEqualTo(String value) {
            addCriterion("bajg =", value, "bajg");
            return (Criteria) this;
        }

        public Criteria andBajgNotEqualTo(String value) {
            addCriterion("bajg <>", value, "bajg");
            return (Criteria) this;
        }

        public Criteria andBajgGreaterThan(String value) {
            addCriterion("bajg >", value, "bajg");
            return (Criteria) this;
        }

        public Criteria andBajgGreaterThanOrEqualTo(String value) {
            addCriterion("bajg >=", value, "bajg");
            return (Criteria) this;
        }

        public Criteria andBajgLessThan(String value) {
            addCriterion("bajg <", value, "bajg");
            return (Criteria) this;
        }

        public Criteria andBajgLessThanOrEqualTo(String value) {
            addCriterion("bajg <=", value, "bajg");
            return (Criteria) this;
        }

        public Criteria andBajgLike(String value) {
            addCriterion("bajg like", value, "bajg");
            return (Criteria) this;
        }

        public Criteria andBajgNotLike(String value) {
            addCriterion("bajg not like", value, "bajg");
            return (Criteria) this;
        }

        public Criteria andBajgIn(List<String> values) {
            addCriterion("bajg in", values, "bajg");
            return (Criteria) this;
        }

        public Criteria andBajgNotIn(List<String> values) {
            addCriterion("bajg not in", values, "bajg");
            return (Criteria) this;
        }

        public Criteria andBajgBetween(String value1, String value2) {
            addCriterion("bajg between", value1, value2, "bajg");
            return (Criteria) this;
        }

        public Criteria andBajgNotBetween(String value1, String value2) {
            addCriterion("bajg not between", value1, value2, "bajg");
            return (Criteria) this;
        }

        public Criteria andBarqIsNull() {
            addCriterion("barq is null");
            return (Criteria) this;
        }

        public Criteria andBarqIsNotNull() {
            addCriterion("barq is not null");
            return (Criteria) this;
        }

        public Criteria andBarqEqualTo(Date value) {
            addCriterion("barq =", value, "barq");
            return (Criteria) this;
        }

        public Criteria andBarqNotEqualTo(Date value) {
            addCriterion("barq <>", value, "barq");
            return (Criteria) this;
        }

        public Criteria andBarqGreaterThan(Date value) {
            addCriterion("barq >", value, "barq");
            return (Criteria) this;
        }

        public Criteria andBarqGreaterThanOrEqualTo(Date value) {
            addCriterion("barq >=", value, "barq");
            return (Criteria) this;
        }

        public Criteria andBarqLessThan(Date value) {
            addCriterion("barq <", value, "barq");
            return (Criteria) this;
        }

        public Criteria andBarqLessThanOrEqualTo(Date value) {
            addCriterion("barq <=", value, "barq");
            return (Criteria) this;
        }

        public Criteria andBarqIn(List<Date> values) {
            addCriterion("barq in", values, "barq");
            return (Criteria) this;
        }

        public Criteria andBarqNotIn(List<Date> values) {
            addCriterion("barq not in", values, "barq");
            return (Criteria) this;
        }

        public Criteria andBarqBetween(Date value1, Date value2) {
            addCriterion("barq between", value1, value2, "barq");
            return (Criteria) this;
        }

        public Criteria andBarqNotBetween(Date value1, Date value2) {
            addCriterion("barq not between", value1, value2, "barq");
            return (Criteria) this;
        }

        public Criteria andSjztIsNull() {
            addCriterion("sjzt is null");
            return (Criteria) this;
        }

        public Criteria andSjztIsNotNull() {
            addCriterion("sjzt is not null");
            return (Criteria) this;
        }

        public Criteria andSjztEqualTo(Integer value) {
            addCriterion("sjzt =", value, "sjzt");
            return (Criteria) this;
        }

        public Criteria andSjztNotEqualTo(Integer value) {
            addCriterion("sjzt <>", value, "sjzt");
            return (Criteria) this;
        }

        public Criteria andSjztGreaterThan(Integer value) {
            addCriterion("sjzt >", value, "sjzt");
            return (Criteria) this;
        }

        public Criteria andSjztGreaterThanOrEqualTo(Integer value) {
            addCriterion("sjzt >=", value, "sjzt");
            return (Criteria) this;
        }

        public Criteria andSjztLessThan(Integer value) {
            addCriterion("sjzt <", value, "sjzt");
            return (Criteria) this;
        }

        public Criteria andSjztLessThanOrEqualTo(Integer value) {
            addCriterion("sjzt <=", value, "sjzt");
            return (Criteria) this;
        }

        public Criteria andSjztIn(List<Integer> values) {
            addCriterion("sjzt in", values, "sjzt");
            return (Criteria) this;
        }

        public Criteria andSjztNotIn(List<Integer> values) {
            addCriterion("sjzt not in", values, "sjzt");
            return (Criteria) this;
        }

        public Criteria andSjztBetween(Integer value1, Integer value2) {
            addCriterion("sjzt between", value1, value2, "sjzt");
            return (Criteria) this;
        }

        public Criteria andSjztNotBetween(Integer value1, Integer value2) {
            addCriterion("sjzt not between", value1, value2, "sjzt");
            return (Criteria) this;
        }

        public Criteria andCjsjIsNull() {
            addCriterion("cjsj is null");
            return (Criteria) this;
        }

        public Criteria andCjsjIsNotNull() {
            addCriterion("cjsj is not null");
            return (Criteria) this;
        }

        public Criteria andCjsjEqualTo(Date value) {
            addCriterion("cjsj =", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotEqualTo(Date value) {
            addCriterion("cjsj <>", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjGreaterThan(Date value) {
            addCriterion("cjsj >", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjGreaterThanOrEqualTo(Date value) {
            addCriterion("cjsj >=", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjLessThan(Date value) {
            addCriterion("cjsj <", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjLessThanOrEqualTo(Date value) {
            addCriterion("cjsj <=", value, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjIn(List<Date> values) {
            addCriterion("cjsj in", values, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotIn(List<Date> values) {
            addCriterion("cjsj not in", values, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjBetween(Date value1, Date value2) {
            addCriterion("cjsj between", value1, value2, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjsjNotBetween(Date value1, Date value2) {
            addCriterion("cjsj not between", value1, value2, "cjsj");
            return (Criteria) this;
        }

        public Criteria andCjyhIsNull() {
            addCriterion("cjyh is null");
            return (Criteria) this;
        }

        public Criteria andCjyhIsNotNull() {
            addCriterion("cjyh is not null");
            return (Criteria) this;
        }

        public Criteria andCjyhEqualTo(String value) {
            addCriterion("cjyh =", value, "cjyh");
            return (Criteria) this;
        }

        public Criteria andCjyhNotEqualTo(String value) {
            addCriterion("cjyh <>", value, "cjyh");
            return (Criteria) this;
        }

        public Criteria andCjyhGreaterThan(String value) {
            addCriterion("cjyh >", value, "cjyh");
            return (Criteria) this;
        }

        public Criteria andCjyhGreaterThanOrEqualTo(String value) {
            addCriterion("cjyh >=", value, "cjyh");
            return (Criteria) this;
        }

        public Criteria andCjyhLessThan(String value) {
            addCriterion("cjyh <", value, "cjyh");
            return (Criteria) this;
        }

        public Criteria andCjyhLessThanOrEqualTo(String value) {
            addCriterion("cjyh <=", value, "cjyh");
            return (Criteria) this;
        }

        public Criteria andCjyhLike(String value) {
            addCriterion("cjyh like", value, "cjyh");
            return (Criteria) this;
        }

        public Criteria andCjyhNotLike(String value) {
            addCriterion("cjyh not like", value, "cjyh");
            return (Criteria) this;
        }

        public Criteria andCjyhIn(List<String> values) {
            addCriterion("cjyh in", values, "cjyh");
            return (Criteria) this;
        }

        public Criteria andCjyhNotIn(List<String> values) {
            addCriterion("cjyh not in", values, "cjyh");
            return (Criteria) this;
        }

        public Criteria andCjyhBetween(String value1, String value2) {
            addCriterion("cjyh between", value1, value2, "cjyh");
            return (Criteria) this;
        }

        public Criteria andCjyhNotBetween(String value1, String value2) {
            addCriterion("cjyh not between", value1, value2, "cjyh");
            return (Criteria) this;
        }

        public Criteria andCjdwIsNull() {
            addCriterion("cjdw is null");
            return (Criteria) this;
        }

        public Criteria andCjdwIsNotNull() {
            addCriterion("cjdw is not null");
            return (Criteria) this;
        }

        public Criteria andCjdwEqualTo(String value) {
            addCriterion("cjdw =", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwNotEqualTo(String value) {
            addCriterion("cjdw <>", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwGreaterThan(String value) {
            addCriterion("cjdw >", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwGreaterThanOrEqualTo(String value) {
            addCriterion("cjdw >=", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwLessThan(String value) {
            addCriterion("cjdw <", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwLessThanOrEqualTo(String value) {
            addCriterion("cjdw <=", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwLike(String value) {
            addCriterion("cjdw like", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwNotLike(String value) {
            addCriterion("cjdw not like", value, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwIn(List<String> values) {
            addCriterion("cjdw in", values, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwNotIn(List<String> values) {
            addCriterion("cjdw not in", values, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwBetween(String value1, String value2) {
            addCriterion("cjdw between", value1, value2, "cjdw");
            return (Criteria) this;
        }

        public Criteria andCjdwNotBetween(String value1, String value2) {
            addCriterion("cjdw not between", value1, value2, "cjdw");
            return (Criteria) this;
        }

        public Criteria andXxdzIsNull() {
            addCriterion("xxdz is null");
            return (Criteria) this;
        }

        public Criteria andXxdzIsNotNull() {
            addCriterion("xxdz is not null");
            return (Criteria) this;
        }

        public Criteria andXxdzEqualTo(String value) {
            addCriterion("xxdz =", value, "xxdz");
            return (Criteria) this;
        }

        public Criteria andXxdzNotEqualTo(String value) {
            addCriterion("xxdz <>", value, "xxdz");
            return (Criteria) this;
        }

        public Criteria andXxdzGreaterThan(String value) {
            addCriterion("xxdz >", value, "xxdz");
            return (Criteria) this;
        }

        public Criteria andXxdzGreaterThanOrEqualTo(String value) {
            addCriterion("xxdz >=", value, "xxdz");
            return (Criteria) this;
        }

        public Criteria andXxdzLessThan(String value) {
            addCriterion("xxdz <", value, "xxdz");
            return (Criteria) this;
        }

        public Criteria andXxdzLessThanOrEqualTo(String value) {
            addCriterion("xxdz <=", value, "xxdz");
            return (Criteria) this;
        }

        public Criteria andXxdzLike(String value) {
            addCriterion("xxdz like", value, "xxdz");
            return (Criteria) this;
        }

        public Criteria andXxdzNotLike(String value) {
            addCriterion("xxdz not like", value, "xxdz");
            return (Criteria) this;
        }

        public Criteria andXxdzIn(List<String> values) {
            addCriterion("xxdz in", values, "xxdz");
            return (Criteria) this;
        }

        public Criteria andXxdzNotIn(List<String> values) {
            addCriterion("xxdz not in", values, "xxdz");
            return (Criteria) this;
        }

        public Criteria andXxdzBetween(String value1, String value2) {
            addCriterion("xxdz between", value1, value2, "xxdz");
            return (Criteria) this;
        }

        public Criteria andXxdzNotBetween(String value1, String value2) {
            addCriterion("xxdz not between", value1, value2, "xxdz");
            return (Criteria) this;
        }
    }

    /**
     * ty_shougouqiyebeian
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * ty_shougouqiyebeian 2023-11-27
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}